p2p.wrox.com Forums

Need to download code?

View our list of code downloads.


  Return to Index  

beginning_php thread: Newbie questions: advice on upgrading php


Message #1 by Michael Chinn <mchinn@t...> on Tue, 02 Apr 2002 09:47:41 -0800
Greetings:

I have a few beginner-type questions concerning upgrading my php.

1.  I have a working Redhat 7.1 server with Apache and php installed and 
operational.  Both of these were installed during the RH 7.1 initial 
installation routine.

Q. How can I tell if my php (4.04) was installed as a CGI interpreter 
(standalone?) or as an Apache module?

I would like to upgrade my php and I take it this is crucial information.

2. php was configured (during the RH install) without MySQL support.  I 
would like to configure php WITH MySQL support so...

Q.  Given that php was originally installed via rpm, how do i reconfigure 
php to support MySQL?

Thanks in advance,

Michael


Message #2 by "Nikolai Devereaux" <yomama@u...> on Tue, 2 Apr 2002 10:40:47 -0800
> Q. How can I tell if my php (4.04) was installed as a CGI interpreter
> (standalone?) or as an Apache module?

  http://www.php.net/phpinfo
  The general output of this function should tell you; look for the "Server
API" field, near the top.

> Q.  Given that php was originally installed via rpm, how do i reconfigure
> php to support MySQL?

  http://www.php.net/mysql
  "With PHP4 MySQL support is always eanbled; if you don't specify the
configure option, the bundled libraries are used."


take care,

nik


  Return to Index